"""empty message

Revision ID: 01e89ea50c09
Revises: 
Create Date: 2019-10-25 20:03:53.585287

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = '01e89ea50c09'
down_revision = None
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table('user',
    sa.Column('id', sa.Integer(), autoincrement=True, nullable=False),
    sa.Column('create_datetime', sa.DateTime(), nullable=True),
    sa.Column('google_id', sa.String(), nullable=True),
    sa.Column('google_first_name', sa.String(), nullable=True),
    sa.Column('google_last_name', sa.String(), nullable=True),
    sa.Column('google_email', sa.String(), nullable=True),
    sa.Column('google_name', sa.String(), nullable=True),
    sa.Column('google_avatar', sa.String(), nullable=True),
    sa.Column('google_locale', sa.String(), nullable=True),
    sa.Column('facebook_id', sa.String(), nullable=True),
    sa.Column('facebook_name', sa.String(), nullable=True),
    sa.Column('facebook_email', sa.String(), nullable=True),
    sa.Column('facebook_avatar', sa.String(), nullable=True),
    sa.Column('linkedin_id', sa.String(), nullable=True),
    sa.Column('linkedin_name', sa.String(), nullable=True),
    sa.Column('linkedin_email', sa.String(), nullable=True),
    sa.Column('linkedin_avatar', sa.String(), nullable=True),
    sa.PrimaryKeyConstraint('id')
    )
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_table('user')
    # ### end Alembic commands ###
